unit AddUser;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons;

type
  TfrmAddUser = class(TForm)
    Label1: TLabel;
    edtPassword: TEdit;
    OKBtn: TButton;
    CancelBtn: TButton;
    edtUser: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    edtFirstName: TEdit;
    Label4: TLabel;
    edtLastName: TEdit;
    edtUserGroup: TEdit;
    Label6: TLabel;
    Label5: TLabel;
    edtOrganizationUnit: TEdit;
    Label7: TLabel;
    edtSQLUserName: TEdit;
    Label8: TLabel;
    edtPassword2: TEdit;
    edtMiddleName: TEdit;
    Label9: TLabel;
    chxSysAdmin: TCheckBox;
    chxNTAuthent: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure edtSQLUserNameExit(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAddUser: TfrmAddUser;

implementation

{$R *.DFM}

uses Dialogs;

procedure TfrmAddUser.FormShow(Sender: TObject);
var cv:integer;
begin
  for cv:=0 to ControlCount-1 do
    if Controls[cv] is TEdit then
      TEdit(Controls[cv]).Text:='';
  edtSQLUserName.SetFocus;
  edtOrganizationUnit.Text:='1';
  edtUserGroup.Text:='1';
end;

procedure TfrmAddUser.edtSQLUserNameExit(Sender: TObject);
begin
  with edtSQLUserName do
  edtUser.Text:=copy(Text,pos('\',Text)+1,Length(Text)-pos(Text,'\'));
end;

procedure TfrmAddUser.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if (ModalResult=mrOK) and ((edtPassword.text<>edtPassword2.Text) or
    (edtPassword.text='')) then
  Begin
    action:=caNone;
    ShowMessage('Incorrect password.');
  End;
end;

end.

